package com.yonge.cooleshow.common.constant;

/**
 * 系统配置常量
 *
 * @Author: liweifan
 * @Data: 2022/3/24 10:18
 */
public interface SysConfigConstant {
    /***
     * 开通直播需要的粉丝数
     * @author liweifan
     * @updateTime 2022/3/24 10:20
     */
    String OPEN_LIVE_FANS_NUM = "open_live_fans_num";
    /***
     * 开通直播需要的已完成课时
     * @author liweifan
     * @updateTime 2022/3/24 10:20
     */
    String OPEN_LIVE_OVER_CLASS = "open_list_over_class";

    /**
     * 陪练课服务费
     */
    String PRACTICE_SERVICE_FEE = "practice_service_fee";
    /**
     * 陪练课可选时长配置
     */
    String PRACTICE_TIMES_SETTING = "practice_times_setting";
    /**
     * 直播课服务费
     */
    String LIVE_SERVICE_RATE = "live_service_rate";
    /**
     * 视频课服务费
     */
    String VIDEO_LESSON_SERVICE_FEE = "video_lesson_service_fee";
    /**
     * 乐谱服务费
     */
    String MUSIC_SHEET_SERVICE_FEE = "music_sheet_service_fee";
    /**
     * 提前XX分钟创建/进入直播房间的时间
     */
    String PRE_CREATE_LIVE_ROOM_MINUTE = "pre_create_live_room_minute";
    /**
     * 提前XX分钟创建/进入陪练课房间时间
     */
    String PRE_CREATE_PRACTICE_ROOM_MINUTE = "pre_create_practice_room_minute";
    /**
     * 直播结束后，XX分钟关闭房间
     */
    String DESTROY_EXPIRED_LIVE_ROOM_MINUTE = "destroy_expired_live_room_minute";
    /**
     * 陪练课结束后，XX分钟关闭房间
     */
    String DESTROY_EXPIRED_PRACTICE_ROOM_MINUTE = "destroy_expired_practice_room_minute";
    /**
     * 课程结束后，XX天后结算课酬
     */
    String COURSE_SETTLEMENT_TIME_DAY = "course_settlement_time_day";

    /**
     * 创建直播课可选时间设定
     */
    String LIVE_TIME_SETTING = "live_time_setting";

    /**
     * 学生购买陪练课时间段锁定时间
     */
    String STUDENT_BUY_PRACTICE_TIME_LOCK_MINUTE = "student_buy_practice_time_lock_minute";

    /**
     * 老师创建直播课选择课程时间段锁定的时间
     */
    String CREATE_LIVE_TIME_LOCK_MINUTE = "create_live_time_lock_minute";

    /**
     * 课程开始时间
     */
    String COURSE_START_SETTING = "course_start_setting";

    /**
     * 课程结束时间
     */
    String COURSE_END_SETTING = "course_end_setting";

    /**
     * 自动规划课程最大周数
     */
    String AUTO_PLANNING_COURSE_MAX_WEEK = "auto_planning_course_max_week";

    /**
     * 默认头像
     */
    String DEFAULT_HEARD = "default_heard";
    /**
     * 默认头像-男
     */
    String DEFAULT_HEARD_BOY = "default_heard_boy";
    /**
     * 默认头像-女
     */
    String DEFAULT_HEARD_GIRL = "default_heard_girl";

    /***
     * 商品vip图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_VIP = "good_logo_vip";
    /***
     * 商品视频课图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_VIDEO = "good_logo_video";
    /***
     * 商品陪练课图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_PRACTICE = "good_logo_practice";
    /***
     * 商品直播课图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_LIVE = "good_logo_live";
    /***
     * 商品曲目图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_MUSIC = "good_logo_music";
    /***
     * 商品曲目图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_PIANO_ROOM = "good_logo_piano_room";
    /***
     * 商品活动报名图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_ACTI_REGIST = "good_logo_acti_regist";
    /***
     * 专辑购买图片
     * @author liweifan
     * @updateTime 2022/4/20 11:43
     */
    String GOOD_LOGO_ALBUM = "good_logo_album";


    /**
     * 琴房学员解绑未上课天数
     */
    String PIANO_ROOM_UNBIND_DAYS = "piano_room_unbind_days";
    
    /**
     * @Description: 琴房课最大学员容量
     * @Author: cy
     * @Date: 2022/6/1
     */
    String PIANO_ROOM_MAX_STUDENTS = "piano_room_max_students";
    
    /**
     * @Description: 提前XX分钟创建/进入琴房课房间时间
     * @Author: cy
     * @Date: 2022/6/1
     */
    String PRE_CREATE_PIANO_ROOM_MINUTE = "pre_create_piano_room_minute";
    
    /**
     * @Description: 琴房课结束后，XX分钟关闭房间
     * @Author: cy
     * @Date: 2022/6/1
     */
    String DESTROY_EXPIRED_PIANO_ROOM_MINUTE = "destroy_expired_piano_room_minute";

    /** 老师分享曲目二维码跳转链接 */
    String TEACHER_MUSIC_SHEET_SHARE_URL = "teacher_music_sheet_share_url";
    /**
     * 琴房课扣时公式
     */
    String PIANO_ROOM_TIME_FORMULA = "piano_room_time_formula";
    /***
     * 结算开关 0 关闭 1开启
     * @author liweifan
     * @updateTime 2022/3/24 17:15
     */
    String WITHDRAWAL_SWITCH = "withdrawal_switch";
    /***
     * 结算审核开关 0 关闭 1开启
     * @author liweifan
     * @updateTime 2022/3/24 17:15
     */
    String WITHDRAWAL_AUTH_SWITCH = "withdrawal_auth_switch";
    /***
     * 结算审核额度(小于该额度免审核结算)
     * @author liweifan
     * @updateTime 2022/3/24 17:15
     */
    String WITHDRAWAL_AUTH_FEE = "withdrawal_auth_fee";
    /***
     * 一天最多结算次数
     * @author liweifan
     * @updateTime 2022/3/24 17:15
     */
    String WITHDRAWAL_MAX_COUNT = "withdrawal_max_count";
    /***
     * 平台结算手续费
     * @author liweifan
     * @updateTime 2022/3/24 17:15
     */
    String WITHDRAWAL_SERVICE_FEE = "withdrawal_service_fee";

    /** 公司名称 */
    String COMPANY_NAME = "company_name";
    /** 公司签章 */
    String COMPANY_SEAL_PICTURE = "company_seal_picture";
    /** 统一社会信用代码 */
    String COMPANY_ORGAN_CODE = "company_organ_code";

    /**
     * 课后作业过期时间 天
     */
    String HOMEWORK_EXPIRE_TIME = "homework_expire_time";

    /**
     * 敏感词-黑名单
     */
    String BLACK_LIST = "black_list";
    /**
     * 敏感词-黑名单
     */
    String BLACK_LIST_FILE_PATH = "/root/blacklist.txt";

    /**
     * 敏感词-黑名单-更新时间
     */
    String BLACK_LIST_UPDATE_TIME = "black_list_update_time";

    /**
     * 敏感词-白名单
     */
    String WHITE_LIST = "white_list";
    /**
     * 修改用户名间隔天数
     */
    String LAST_USERNAME_MONTH = "last_username_month";

    /** 老师分享曲目二维码跳转链接 */
    String TEACHER_MUSIC_SHEET_SHARE_PROFIT_URL = "teacher_music_sheet_share_profit_url";


    /** 老师分享直播课二维码跳转链接 */
    String TEACHER_LIVE_GROUP_SHARE_PROFIT_URL = "teacher_live_group_share_profit_url";


    /** 老师分享视频课二维码跳转链接 */
    String TEACHER_VIDEO_GROUP_SHARE_PROFIT_URL = "teacher_video_group_share_profit_url";


    /** 老师分享VIP二维码跳转链接 */
    String TEACHER_VIP_SHARE_PROFIT_URL = "teacher_vip_share_profit_url";



    /** 老师分享商品二维码跳转链接 */
    String TEACHER_PRODUCT_SHARE_PROFIT_URL = "teacher_product_share_profit_url";

    /**
     * 直播课推荐分润比例
     */
    String LIVE_SHARE_FEE = "live_share_fee";
    /**
     * 视频课推荐分润比例
     */
    String VIDEO_SHARE_FEE = "video_share_fee";
    /**
     * 会员推荐分润比例
     */
    String VIP_SHARE_FEE = "vip_share_fee";
    /**
     * 乐谱推荐分润比例
     */
    String MUSIC_SHARE_FEE = "music_share_fee";
    /**
     * 乐谱推荐分润比例
     */
    String MUSIC_ALBUM_FEE = "music_album_fee";
    /**
     * 商品推荐分润比例
     */
    String MALL_SHARE_FEE = "mall_share_fee";
    /**
     * 陪练课账期
     */
    String PRACTICE_ACCOUNT_PERIOD = "practice_account_period";
    /**
     * 直播课账期
     */
    String LIVE_ACCOUNT_PERIOD = "live_account_period";
    /**
     * 视频课账期
     */
    String VIDEO_ACCOUNT_PERIOD = "video_account_period";
    /**
     * 会员账期
     */
    String VIP_ACCOUNT_PERIOD = "vip_account_period";
    /**
     * 乐谱账期
     */
    String MUSIC_ACCOUNT_PERIOD = "music_account_period";
    /**
     * 专辑账期
     */
    String ALBUM_ACCOUNT_PERIOD = "album_account_period";

    /**
     * 活动报名账期
     */
    String ACTI_REGIST_ACCOUNT_PERIOD = "acti_regist_account_period";
    /**
     * 商品账期
     */
    String MALL_ACCOUNT_PERIOD = "mall_account_period";

    /**
     * 曲目置顶数 弃用
     */
    String MUSIC_SHEET_TOP_NUM = "music_sheet_top_num";


    /**
     * 曲目虚拟人数增长最大值
     */
    String MUSIC_SHEET_VIRTUAL_NUMBER = "music_sheet_virtual_number";

    /**
     * 专辑虚拟人数增长最大值
     */
    String MUSIC_ALBUM_VIRTUAL_NUMBER = "music_album_virtual_number";


    /**
     * 免费视频课虚拟人数增长最大值
     */
    String VIDEO_VIRTUAL_NUMBER = "video_virtual_number";



    /**
     * 个人风采虚拟人数增长最大值
     */
    String STYLE_VIDEO_VIRTUAL_NUMBER = "style_video_virtual_number";

    /**
     * 课程群头像 icon_course_group_default
     */
    String ICON_COURSE_GROUP_DEFAULT = "icon_course_group_default";

    /**
     * 粉丝群头像 icon_fans_group_default
     */
    String ICON_FANS_GROUP_DEFAULT = "icon_fans_group_default";


    /**
     * 客服电话
     */
    String CUSTOMER_SERVICE_PHONE = "customer_service_phone";

    /**
     * 客服邮箱
     */
    String CUSTOMER_SERVICE_EMAIL = "customer_service_email";

    /**
     * 机构人员解绑申请超时时间，天
     */
    String TENANT_USER_UNBIND_EXPIRE_TIME = "tenant_user_unbind_expire_time";

    /**
     * 机构人员解绑手机号
     */
    String TENANT_USER_UNBIND_PHONE = "tenant_user_unbind_phone";
    /**
     *  子账户创建回调url
     */
    String SUB_ACCOUNT_CREATE_CALLBACK_URL = "sub_account_create_callback_url";

    /**
     * 机构默认logo
     */
    String TENANT_DEFAULT_HEAD = "tenant_default_head";

    /**
     * 老师默认头像
     */
    String TEACHER_AVATAR = "teacher_avatar";

    /**
     * 学生默认头像
     */
    String STUDENT_AVATAR = "student_avatar";
}
