package com.yonge.cooleshow.student;

import com.spring4all.swagger.EnableSwagger2Doc;
import com.yonge.cooleshow.common.constant.AppConstant;
import com.yonge.toolset.base.BaseApplication;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Author: liweifan
 * @Data: 2022/3/15 16:45
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients("com.yonge.cooleshow")
@MapperScan(basePackages = {"com.yonge.cooleshow.biz.dal.dao", "com.yonge.cooleshow.biz.dal.mapper", "com.yonge.toolset.payment.core.dao"})
@ComponentScan(basePackages = {"com.yonge.cooleshow", "com.yonge.toolset"})
@Configuration
@EnableSwagger2Doc
@EnableScheduling
public class StudentApplication {
    public static void main(String[] args) {
        BaseApplication.run(AppConstant.APPLICATION_STUDENT, StudentApplication.class, args);
    }
}
